Bug 950686 (CVE-2013-1919)

Summary: CVE-2013-1919 kernel: xen: Several access permission issues with IRQs for unprivileged guests
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: drjones, imammedo, lersek, pbonzini, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130418,reported=20130404,source=upstream,cvss2=4.3/AV:A/AC:H/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-13 04:01:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 953568    
Bug Blocks: 950673    

Description Petr Matousek 2013-04-10 12:34:03 EDT
Various IRQ related access control operations may not have the intended effect, thus potentially permitting a stub domain to gran its client domain access to an IRQ it doesn't have access to itself.

Malicious or buggy stub domains kernels can mount a denial of service attack possibly affecting the whole system.

Only Xen systems using stub domains are vulnerable.

Only HVM guests with passed-through IRQs or PCI devices are able to exploit the vulnerability.

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.
Comment 1 Petr Matousek 2013-04-10 12:36:24 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5 as it has no support for stub domains.

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 7 Petr Matousek 2013-04-18 09:43:23 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 953568]
Comment 8 Fedora Update System 2013-05-04 22:25:03 EDT
xen-4.1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-04 22:25:39 EDT
xen-4.2.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.